%global         commit      35ffa7b1f6ba11f5bda6930acc4200c45aa30662
%global         shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           libfastlz
Version:        0.1
Release:        1%{?dist}
Summary:        zlib-like interface to fast block compression (LZ4 or FastLZ) libraries

License:        BSD
Url:            https://github.com/bareos/fastlzlib
Source0:        https://github.com/bareos/fastlzlib/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  zlib-devel
BuildRequires:  automake

%description
zlib-like interface to fast block compression (LZ4 or FastLZ) libraries

%package devel
Summary:        zlib-like interface to fast block compression (LZ4 or FastLZ) libraries devel package

Requires:       %{name} = %{version}

%description devel
zlib-like interface to fast block compression (LZ4 or FastLZ) libraries - devel package

%prep
%setup -q -n fastlzlib-%{commit}

%build
%configure
%make_build

%install
%make_install

%files
%defattr(-,root,root,-)
%license COPYING
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Sat Jun 30 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 0.1-1
- Initial release
